package com.menagerie.bakers.util

import android.content.ClipData
import android.content.ClipboardManager
import android.content.Context
import androidx.compose.runtime.Composable
import androidx.compose.runtime.remember
import androidx.compose.ui.platform.LocalContext

class AndroidClipboardController(private val context: Context) : ClipboardController {
    override fun copyToClipboard(text: String) {
        val clipboardManager = context.getSystemService(Context.CLIPBOARD_SERVICE) as ClipboardManager
        val clip = ClipData.newPlainText("Copied Text", text)
        clipboardManager.setPrimaryClip(clip)
    }
}

@Composable
actual fun rememberClipboardController(): ClipboardController {
    val context = LocalContext.current
    return remember(context) { AndroidClipboardController(context) }
}