package com.menagerie.bakers.model

import com.menagerie.bakers.util.DataWithUnit
import com.menagerie.bakers.util.Unit


/**
 * Ingredient object
 *
 * @author Blizzard Finnegan
 * @since To Be Merged
 */
class Ingredient(
    var measure : DataWithUnit = DataWithUnit(0.0,null),
    var name : String = "Undefined",
    var extraInfo : String = ""
){
    override fun toString(): String {
        if (extraInfo.isNotBlank()) {
            return this.measure.toString() + " " + name + " (" + extraInfo + ")"
        } else {
            return this.measure.toString() + " " + name
        }

    }

    /**
     * Function for use in debugging.
     * This is unformatted. Do not use in release builds.
     * @return string of all values stored in this object.
     */
    fun debugPrint(): String{
        TODO()
    }

    /**
     * Print full information, including extra info.
     * For unformatted print, use [debugPrint]. For in-recipe step use, use [toString].
     */
    fun fullPrint(): String{
        TODO()
    }

    fun recipeName(): String{
        return this.measure.toString() + " " + this.name
    }

    /**
     * Scale the ingredient's measure by a factor. This does not modify this object, instead
     * returning an updated object with corrected units.
     *
     * @param scaleFactor Factor to scale the measure by.
     * @return new measure object with the data scaled by the factor passed in
     */
    fun scale(scaleFactor: Double) : Ingredient{
        val returnValue =  Ingredient(this.measure.scale(scaleFactor), this.name, this.extraInfo )
        return returnValue
    }

    /**
     * Generate a new ingredient object in the alternate measurement system.
     * Does not modify this object.
     *
     * @return new Ingredient object with converted measure information. Name and extraInfo should
     * not be modified.
     */
    fun imperialMetricConvert(): Ingredient{
        TODO()
    }
}
