package com.menagerie.bakers.model.africa

import com.menagerie.bakers.model.Recipe
import com.menagerie.bakers.model.TagType
import kotlin.time.Duration
import bakersmenagerie.composeapp.generated.resources.Res
import bakersmenagerie.composeapp.generated.resources.kuku_no_nazi
import com.menagerie.bakers.model.Ingredient
import com.menagerie.bakers.model.TTT
import com.menagerie.bakers.util.DataWithUnit
import com.menagerie.bakers.util.SafeTemps
import com.menagerie.bakers.util.Unit

val kenyanList = listOf(
    Recipe(
        title = "Kuku Na Nazi",
        description = "Kenyan coconut chicken curry with aromatic spices and a creamy coconut milk and heavy cream sauce.",
        prepTime = Duration.parse("30m"),
        cookTime = Duration.parse("45m"),
        servings = "Serves 4-6",
        ingredients = mapOf(
            "garlic" to Ingredient(DataWithUnit(3.0),"garlic cloves",""),
            //"2 Lemons, divided",
            "lemon" to Ingredient( DataWithUnit(1.0),"lemon", "juiced"),
            "lemon garnish" to Ingredient( DataWithUnit(1.0),"lemon", "wedged, as garnish"),
            //"2.5 Tsp Diamond Crystal or 1.25 Tsp Morton Kosher Salt, divided, plus more",
            "marinade salt" to Ingredient( DataWithUnit(1.0, Unit.TEASPOON),"salt", "marinade"),
            "curry salt" to Ingredient( DataWithUnit(1.5, Unit.TEASPOON),"salt", "marinade"),
            //"0.25 Tsp Kashmiri Chile Powder",
            "chile powder" to Ingredient(DataWithUnit(0.25,Unit.TEASPOON),"Kashmiri chile powder"),
            //"2.5 lbs Chicken Thighs, Skinless, Boneless",
            "chicken" to Ingredient(DataWithUnit(2.5,Unit.POUND),"chicken thighs", "skinless, boneless"),
            //"1 medium Onions",
            "onion" to Ingredient(DataWithUnit(1.0),"onion", "medium"),
            //"1 Roma Tomatoes",
            "tomato" to Ingredient(DataWithUnit(1.0),"Roma tomato", ""),
            //"2 Green Thai Chiles",
            "chile" to Ingredient(DataWithUnit(2.0),"Green Thai chile",""),
            //"0.25 Cups Cilantro Leaves",
            "cilantro" to Ingredient(DataWithUnit(1.0/4.0,Unit.CUP),"cilantro leaves"),
            //"2 Tbsp Extra-Virgin Olive Oil",
            "oil" to Ingredient(DataWithUnit(2.0,Unit.TABLESPOON),"olive oil", "extra-virgin"),
            //"0.25 Tsp Ground Coriander",
            "coriander" to Ingredient(DataWithUnit(1.0/4.0,Unit.TEASPOON),"coriander", "ground"),
            //"0.25 Tsp Ground Cumin",
            "cumin" to Ingredient(DataWithUnit(1.0/4.0,Unit.TEASPOON), "cumin", "ground"),
            //"0.125 Tsp Ground Turmeric",
            "tumeric" to Ingredient(DataWithUnit(1.0/8.0,Unit.TEASPOON), "turmeric", "ground"),
            //"13.5 Oz Unsweetened Coconut Milk",
            "coconut" to Ingredient(DataWithUnit(13.5,Unit.FLUID_OUNCE),"coconut milk","unsweetened"),
            //"0.25 Cups Heavy Cream",
            "cream" to Ingredient(DataWithUnit(1.0/4.0,Unit.CUP), "heavy cream",""),
            //"Basmati Rice and/or Crusty Bread (for serving)"
            "side" to Ingredient(DataWithUnit(-1.0),"Basmati rice / Crusty Bread", "for serving")
        ),
        instructions = listOf(),
        tags = mapOf(
            "Kenyan" to TagType.CUISINE,
            "African" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Curry" to TagType.COURSE,
            "Simmered" to TagType.TECHNIQUE,
            "Broiled" to TagType.TECHNIQUE,
            "Savory" to TagType.FLAVOUR,
            "Spicy" to TagType.FLAVOUR,
            "Tangy" to TagType.FLAVOUR,
            "Creamy" to TagType.FLAVOUR,
            "Carnivorous" to TagType.PROTEIN,
            "Garlic" to TagType.FLAVOUR,
            "Herby" to TagType.FLAVOUR,
        ),
        image = Res.drawable.kuku_no_nazi,
        ttt = TTT.TESTED
    ).also { r ->
        r.instructions = listOf(
            "HEADER-Marinade",
            //"Finely grate Garlic [3 Cloves]. Cut Lemons [1] in half and squeeze juice through a fine-mesh sieve. Mix in Salt [1 Tsp] and Kashmiri Chile Powder [0.25 Tsp]. ",
            //Lemon portion of the instruction omitted, as listed in the instructions
            "Finely grate ${r.getIngr("garlic")}. Mix in lemon juice, ${r.getIngr("marinade salt")}, and ${r.getIngr("chile powder")}.",
            //"Add Chicken Thighs [2.5 lb] and toss to evenly coat. Cover bowl and let sit at room temperature 30 minutes.",
            "Add ${r.getIngr("chicken")} and toss evenly to coat. Cover bowl and let sit at room temperature for 30 minutes.",

            "HEADER-Curry",
            //"Coarsely chop Onions [1], Tomatoes [1], Green Thai Chiles [2], and Cilantro Leaves [0.25 Cups]. Transfer to a blender or food processor and blend or process until smooth.",
            "Coarsely chop ${r.getIngr("onion")}, ${r.getIngr("tomato")}, ${r.getIngr("chile")}, and ${r.getIngr("cilantro")}. Transfer to a blender or food processor and blend/process until smooth.",
            //"Heat broiler. Heat Extra-Virgin Olive Oil [2 Tbsp] in a high-sided skillet over medium. Add Ground Coriander [0.25 Tsp], Ground Cumin [0.25 Tsp], and Ground Turmeric [0.125 Tsp]. Cook, stirring, until fragrant, about 1 minute.",
            "Heat broiler. Heat ${r.getIngr("oil")} in a high-sided skilled over medium. Add ${r.getIngr("coriander")}, ${r.getIngr("cumin")}, and ${r.getIngr("tumeric")}. Cook, stirring, until fragrant, about 1 minute.",
            //"Pour in purée and add Salt [1.5 Tsp Diamond Crystal or 0.75 Tsp Morton]. Stir to combine and cook, stirring occasionally, until raw onion smell subsides and curry is paste-like in consistency, 15–20 minutes.",
            "Pour in purée and add ${r.getIngr("curry salt")}. Stir to combine and cook, stirring occasionally, until raw onion smell subsides and curry is paste-like in consistency, 15-20 minutes.",

            "HEADER-Chicken",
            //"Arrange Chicken on a foil-lined rimmed baking sheet and broil until cooked through, charred in spots, and a thermometer inserted into the thickest parts registers 165°F (74°C), 17–20 minutes.",
            "Arrange chaddAlicken on a foil-lined rimmed baking sheet and broil until cooked through, charred in spots, and a thermometer inserted into the thickest pars registers ${SafeTemps.POULTRY.temp}, 17-20 minutes.",
            //"While the Chicken is cooking, shake Coconut Milk [1 13.5-oz. can] to ensure coconut cream is incorporated, then add Coconut Milk to curry and stir well to combine. Curry should be pale yellow.",
            "While the chicken is cooking, shake the ${r.getIngr("coconut")} to ensure coconut cream is incorporated, then add to curry and stir well to combine. Curry should be pale yellow.",
            //"Bring to a gentle simmer and cook until warm and slightly thickened, 5–10 minutes.",
            "Bring to a gentle simmer and cook until warm and slightly thickened, 5-10 minutes.",
            //"Once Chicken is finished, add Chicken and any juices accumulated on baking sheet to curry and reduce heat to low; mix well to combine. Stirring constantly to prevent curry from breaking, dribble in Heavy Cream [0.25 Cups]. Taste and season with more Salt if needed.",
            "Once chicken is finished, add chicken and any juices accumulated on baking sheet to curry and reduce heat to low; mix well to combine. Then, stirring constantly to prevent curry from breaking, dribble in ${r.getIngr("cream")} . Taste and season with more salt if needed.",
            //"Cut remaining Lemon into wedges. Serve Kuku Na Nazi with Basmati Rice and/or some Crusty Bread and Lemon wedges for squeezing over. Top with additional Cilantro to taste."
            "Serve with ${r.getIngr("side")}, and ${r.getIngr("lemon garnish")}. Top with extra cilantro to taste."

        )
    }
)