package com.menagerie.bakers.util


//Scales ingredient amounts in instructions (only works for values in square brackets [2 Tbsp]
fun scaleRecipeServingsInstructions(input: String, value: Float): String {
    val regex = Regex("\\[[+-]?([0-9]*[.])?[0-9]+")
    return regex.replace(input) { matchResult ->
        val number = matchResult.value.removePrefix("[").toFloat()
        "[".plus(removeTrailingZeros(number * value))
    }
}

//Scales all numbers in ingredients items (or any string), regardless of format
fun scaleRecipeServings(input: String, value: Float): String {
    val regex = Regex("[+-]?([0-9]*[.])?[0-9]+")
    return regex.replace(input) { matchResult ->
        val number = matchResult.value.toFloat()
        removeTrailingZeros(number * value)
    }
}

//removes trailing zeroes from floats
fun removeTrailingZeros(number: Float): String {
    return if(number.toInt().toFloat() == number)
        number.toInt().toString()
    else
        number.toString()
}

//TODO : TABLE
//TODO : If anyone feels up to a *really* fun regex challenge, you can totally pull Pair.firsts as your lookup
// and whenever a % 0 version of the first shows up, replace it with a % 0 version of the second (so you're going to combine this with the multiplier regex, essentially)
// Loop through find and replace recipeScale(pair.first), recipeScale(pair.second)

val commonConversions = listOf(
    "3 Tsp" to "1 Tbsp",
)

//Volume only
//TODO : Metric Regex
// uses a lookahead to find digits with the correct suffix (pair.first.removePrefix(regex(recipeScalerFindButDon'tReplace?)), maybe? )
val imperialToMetric = listOf(
    "1 Tsp" to "5 ml",
)

//TODO : Regex for converting F to C and replacing in text, just needs a direction and the formula °C = (°F − 32) × 5/9 or °F = (°C × 9/5) + 32
// uses a lookahead to find numbers in the instructions set with F or C as a suffix, replace with formula output and alternate suffix
//Temperature
//fun fToC() {}

//fun cToF() {}


val measurementSkips = listOf(
    "Tsp",
    "Tbsp",
    "Cup",
    "lb",
    "kg",
    "ml",
)