package com.menagerie.bakers.view.util

import androidx.compose.foundation.clickable
import androidx.compose.foundation.layout.Row
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier

@Composable
fun PartiallyClickableText(
    prefix: String? = null,
    clickable: String,
    onClick: () -> Unit,
    suffix: String? = null,
) {
    Row {
        prefix?.let { Text(text = it.plus(" ")) }
        Text(
            text = clickable,
            modifier = Modifier.clickable(onClick = onClick)
        )
        suffix?.let { Text(text = " ".plus(it))}
    }
}