package com.menagerie.bakers.view.util

import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Button
import androidx.compose.material3.Slider
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp

@Composable
fun RecipeScaleSlider(
    sliderPosition: Float,
    steps: Int,
    rangeStart: Float,
    rangeEnd: Float,
    reduce: Boolean,
    onClick: () -> Unit,
    onChange: (Float) -> Unit) {

    Column {
        Slider(
            value = sliderPosition,
            steps = steps,
            valueRange = rangeStart..rangeEnd,
            onValueChange = { onChange(it) },
            modifier = Modifier.padding(start = 16.dp, end = 16.dp)
        )
        Row {
            Text(text = sliderPosition.toString().plus("x Servings"),
                modifier = Modifier.padding(start = 16.dp))
            Spacer(modifier = Modifier.weight(1f))
            Button(onClick = onClick) {
                Text(text = if (reduce) "Reducing" else "Increasing")
            }
        }
    }
}