package com.menagerie.bakers

import androidx.compose.ui.unit.Dp
import androidx.compose.ui.unit.DpSize
import androidx.compose.ui.unit.dp
import androidx.compose.ui.window.Window
import androidx.compose.ui.window.WindowPlacement
import androidx.compose.ui.window.application
import androidx.compose.ui.window.rememberWindowState

fun main() = application {

    val windowState = rememberWindowState(
        placement = WindowPlacement.Fullscreen,
        size = DpSize(3200.dp,1800.dp)
    )

    DisplayManager.device = Device.Desktop

    DisplayManager.orientation = when(windowState.size.height > windowState.size.width) {
        true -> Orientation.Portrait
        false -> Orientation.Landscape
    }

    val smallAxis = when (DisplayManager.orientation) {
        Orientation.Portrait -> windowState.size.width
        Orientation.Landscape -> windowState.size.height
    }

    DisplayManager.size = when (smallAxis) {
        in Dp.Hairline..600.dp -> Size.Small
        in 601.dp..1240.dp -> Size.Medium
        else -> Size.Large
    }


    Window(
        onCloseRequest = ::exitApplication,
        title = "Baker's Menagerie",
        state = windowState,
    ) {
        App { exitApplication() }
    }
}