package com.menagerie.bakers.util

import java.awt.Toolkit
import java.awt.datatransfer.StringSelection
import androidx.compose.runtime.Composable
import androidx.compose.runtime.remember

class JvmClipboardController : ClipboardController {
    override fun copyToClipboard(text: String) {
        val selection = StringSelection(text)
        val clipboard = Toolkit.getDefaultToolkit().systemClipboard
        clipboard.setContents(selection, selection)
    }
}

@Composable
actual fun rememberClipboardController(): ClipboardController {
    return remember { JvmClipboardController() }
}