package com.menagerie.bakers

import androidx.compose.ui.ExperimentalComposeUiApi
import androidx.compose.ui.platform.LocalDensity
import androidx.compose.ui.platform.LocalWindowInfo
import androidx.compose.ui.unit.Dp
import androidx.compose.ui.unit.dp
import androidx.compose.ui.window.ComposeViewport
import kotlinx.browser.document

@OptIn(ExperimentalComposeUiApi::class)
fun main() {
    ComposeViewport(document.body!!) {

        DisplayManager.device = Device.Web

        if (LocalWindowInfo.current.containerSize.width > LocalWindowInfo.current.containerSize.height)
            DisplayManager.orientation = Orientation.Landscape
        else
            DisplayManager.orientation = Orientation.Portrait


        with(LocalDensity.current) {

            val smallAxis = when (DisplayManager.orientation) {
                Orientation.Portrait -> LocalWindowInfo.current.containerSize.width.toDp()
                Orientation.Landscape -> LocalWindowInfo.current.containerSize.height.toDp()
            }

            DisplayManager.size = when (smallAxis) {
                in Dp.Hairline..600.dp -> Size.Small
                in 601.dp..1240.dp -> Size.Medium
                else -> Size.Large
            }
        }
        App()
    }
}