package com.menagerie.bakers.util

import androidx.compose.runtime.Composable

import kotlinx.browser.window
import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.launch
import androidx.compose.runtime.remember

class JsClipboardController : ClipboardController {
    override fun copyToClipboard(text: String) {
        CoroutineScope(Dispatchers.Main).launch {

            window.navigator.clipboard.writeText(text)
        }
    }
}

@Composable
actual fun rememberClipboardController(): ClipboardController {
    return remember { JsClipboardController() }
}